Issue 124371 - Numbering style change to wrong if applying new numbering style to paragraphs which have across different numbering styles
Summary: Numbering style change to wrong if applying new numbering style to paragraphs...
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: PC All
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: Oliver-Rainer Wittmann
QA Contact:
Depends on:
Reported: 2014-03-07 02:54 UTC by Clarence GUO
Modified: 2017-05-20 10:35 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.0-beta
Developer Difficulty: ---

sample document (11.36 KB, application/vnd.oasis.opendocument.text)
2014-03-07 08:59 UTC, Edwin Sharp
no flags Details
screenshot of the reproduce step (49.80 KB, image/png)
2014-03-11 02:13 UTC, Clarence GUO
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Clarence GUO 2014-03-07 02:54:03 UTC
1) Create a new writer document
2) Create 10 paragraphs
3) Apply a numbering style to paragraph 1-5 from right click at each paragraph and select "Numbering/Bullets"
4) Apply a different numbering style to paragraph 6-10 from right click at each paragraph and select "Numbering/Bullets"
5) Select paragraphs from 3-7, and apply a different numbering style from step 3&4

Expect: Now paragraph 1&2 should have a numbering style, paragraph 3-7 should have a different numbering style, and paragraph 8-10 should have a different numbering style.
Error: Paragraph 1&2 have a numbering style, paragraph 3-10 have another numbering style, but paragraph 3-10 should have two different numbering styles

Test ENV: Build Rev.1571942
Win7 64 bit professional SP1, 16G
Comment 1 Edwin Sharp 2014-03-07 08:59:34 UTC
Created attachment 82810 [details]
sample document
Comment 2 Edwin Sharp 2014-03-07 09:00:52 UTC
Can not reproduce
AOO410m14(Build:9760)  -  Rev. 1573601
2014-03-03 17:47:48 (Mo, 03 Mrz 2014)
Win 7
Comment 3 Clarence GUO 2014-03-10 09:07:50 UTC
@Edwin, I can still reproduce it on 
AOO410m14(Build:9760)  -  Rev. 1573601
Comment 4 Edwin Sharp 2014-03-10 10:45:56 UTC
Can you please create a video (e.g. ) of what you see?
Comment 5 Clarence GUO 2014-03-11 02:13:54 UTC
Created attachment 82834 [details]
screenshot of the reproduce step

HI~ please find my new attachment of the illustration of the reproduce step
Comment 6 Edwin Sharp 2014-03-11 08:48:05 UTC
Thank you Clarence!
Confirmed with
AOO410m14(Build:9760)  -  Rev. 1573062
2014-03-01_04:11:01 - Rev. 1573123
Comment 7 Oliver-Rainer Wittmann 2014-03-11 14:30:39 UTC
I can confirm the described behavior. I have reproduced it already in OOo 3.2.1

The described behavior is confusing and not very intuitive. I volunteer to improve the behavior.
Comment 8 Oliver-Rainer Wittmann 2014-03-13 14:49:18 UTC
fix is in progress

The same behavior occurs when the list style is changed via the corresponding Sidebar Properties Paragraph function.
Comment 9 SVN Robot 2014-03-18 14:33:40 UTC
"orw" committed SVN revision 1578923 into trunk:
124371: When changing the numbering or bullet styling of a set of paragraph w...
Comment 10 Oliver-Rainer Wittmann 2014-03-18 14:38:09 UTC
fixed on trunk